<?php

namespace AppBundle\Repository;

/**
 * FruitRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class FruitRepository extends \Doctrine\ORM\EntityRepository
{
  //Nous ajouterons ici nos méthodes personnalisées de
  //récupération de données

  public function findByCategoryName($name) {
    //requete dans le cas d'une assos OneToOne
    // f.category renvoi un tableau il est pas possible d'acceder a une propriete name (inexistante)
    // il faut trouver un moyen de cibler la propriéte .name
    // des objets de type Category situé à l'interieur du tableau F.category
    //DQL fournit-il une solution ?? Christophe mène l'enquete
    $query = 'SELECT f FROM AppBundle:Fruit f
              JOIN f.category c
              WHERE c.name = :name ';

    return $this->getEntityManager()
    ->createQuery($query)
    ->setParameter(':name', $name)
    ->getResult();
  }
}
